Novell Home

CVE-2011-2995

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2011-2995 at MITRE

Description

Multiple unspecified vulnerabilities in the browser engine in Mozilla Firefox before 3.6.23 and 4.x through 6, Thunderbird before 7.0, and SeaMonkey before 2.4 allow remote attackers to cause a denial of service (memory corruption and application crash) or possibly execute arbitrary code via unknown vectors.

NVD CVSS v2 Base Score: 10.0 (AV:N/AC:L/Au:N/C:C/I:C/A:C)

Novell/SUSE information

Novell Bugzilla entry: 720264

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server 10 SP3
SUSE Linux Enterprise Server for SAP 10 SP3
  • MozillaFirefox >= 3.6.23-0.5.1
  • MozillaFirefox-translations >= 3.6.23-0.5.1
  • mozilla-xulrunner192 >= 1.9.2.23-1.6.1
  • mozilla-xulrunner192-32bit >= 1.9.2.23-1.6.1
  • mozilla-xulrunner192-gnome >= 1.9.2.23-1.6.1
  • mozilla-xulrunner192-gnome-32bit >= 1.9.2.23-1.6.1
  • mozilla-xulrunner192-translations >= 1.9.2.23-1.6.1
  • mozilla-xulrunner192-translations-32bit >= 1.9.2.23-1.6.1
Builds
ZYPP Patch Nr: 7783
SUSE Linux Enterprise SDK 10 SP3
  • MozillaFirefox-branding-upstream >= 3.6.23-0.5.1
Builds
ZYPP Patch Nr: 7783
SUSE Linux Enterprise Server 10 SP3
  • MozillaFirefox >= 3.6.23-0.5.1
  • MozillaFirefox-translations >= 3.6.23-0.5.1
  • mozilla-xulrunner192 >= 1.9.2.23-1.6.1
  • mozilla-xulrunner192-gnome >= 1.9.2.23-1.6.1
  • mozilla-xulrunner192-translations >= 1.9.2.23-1.6.1
Builds
ZYPP Patch Nr: 7783
openSUSE 11.3
  • MozillaThunderbird-debuginfo >= 3.1.15-0.21.1
  • MozillaThunderbird-debugsource >= 3.1.15-0.21.1
  • MozillaThunderbird-devel-debuginfo >= 3.1.15-0.21.1
  • enigmail-debuginfo >= 1.1.2+3.1.15-0.21.1
openSUSE 11.3
  • MozillaThunderbird >= 3.1.15-0.21.1
  • MozillaThunderbird-devel >= 3.1.15-0.21.1
  • MozillaThunderbird-translations-common >= 3.1.15-0.21.1
  • MozillaThunderbird-translations-other >= 3.1.15-0.21.1
  • enigmail >= 1.1.2+3.1.15-0.21.1
openSUSE 11.4
  • MozillaThunderbird >= 3.1.15-0.17.1
  • MozillaThunderbird-buildsymbols >= 3.1.15-0.17.1
  • MozillaThunderbird-devel >= 3.1.15-0.17.1
  • MozillaThunderbird-translations-common >= 3.1.15-0.17.1
  • MozillaThunderbird-translations-other >= 3.1.15-0.17.1
  • enigmail >= 1.1.2+3.1.15-0.17.1
SUSE Linux Enterprise Software Development Kit 11 SP1
  • mozilla-xulrunner192-devel >= 1.9.2.23-1.2.1
Builds
SAT Patch Nr: 5224
SUSE Linux Enterprise Software Development Kit 11 SP1
  • mozilla-xulrunner192-devel >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-gnome-x86 >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-translations-x86 >= 1.9.2.23-1.2.1
Builds
SAT Patch Nr: 5224
SUSE Linux Enterprise Software Development Kit 11 SP1
  • mozilla-xulrunner192-devel >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-gnome-32bit >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-translations-32bit >= 1.9.2.23-1.2.1
Builds
SAT Patch Nr: 5224
SUSE Linux Enterprise Desktop 11 SP1
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • MozillaFirefox >= 3.6.23-0.3.1
  • MozillaFirefox-translations >= 3.6.23-0.3.1
  • mozilla-xulrunner192 >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-gnome >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-translations >= 1.9.2.23-1.2.1
Builds
SAT Patch Nr: 5224
SUSE Linux Enterprise Desktop 11 SP1
  • MozillaFirefox >= 3.6.23-0.3.1
  • MozillaFirefox-translations >= 3.6.23-0.3.1
  • mozilla-xulrunner192 >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-32bit >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-gnome >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-gnome-32bit >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-translations >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-translations-32bit >= 1.9.2.23-1.2.1
Builds
SAT Patch Nr: 5224
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • MozillaFirefox >= 3.6.23-0.3.1
  • MozillaFirefox-translations >= 3.6.23-0.3.1
  • mozilla-xulrunner192 >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-32bit >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-gnome >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-translations >= 1.9.2.23-1.2.1
Builds
SAT Patch Nr: 5224
SUSE Linux Enterprise Server 11 SP1
  • MozillaFirefox >= 3.6.23-0.3.1
  • MozillaFirefox-translations >= 3.6.23-0.3.1
  • mozilla-xulrunner192 >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-gnome >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-translations >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-x86 >= 1.9.2.23-1.2.1
Builds
SAT Patch Nr: 5224
openSUSE 11.4
  • MozillaFirefox >= 7.0-1.2.1
  • MozillaFirefox-branding-upstream >= 7.0-1.2.1
  • MozillaFirefox-buildsymbols >= 7.0-1.2.1
  • MozillaFirefox-devel >= 7.0-1.2.1
  • MozillaFirefox-translations-common >= 7.0-1.2.1
  • MozillaFirefox-translations-other >= 7.0-1.2.1
openSUSE 11.4
  • mozilla-js192 >= 1.9.2.23-1.2.1
  • mozilla-js192-32bit >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192 >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-32bit >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-buildsymbols >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-devel >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-gnome >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-gnome-32bit >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-translations-common >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-translations-common-32bit >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-translations-other >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-translations-other-32bit >= 1.9.2.23-1.2.1
SUSE Linux Enterprise Desktop 10 SP4 for x86
SUSE Linux Enterprise Server 10 SP4 for IBM POWER
SUSE Linux Enterprise Server 10 SP4 for IPF
SUSE Linux Enterprise Server 10 SP4 for x86
  • MozillaFirefox >= 3.6.23-0.5.1
  • MozillaFirefox-translations >= 3.6.23-0.5.1
  • mozilla-xulrunner192 >= 1.9.2.23-1.6.1
  • mozilla-xulrunner192-gnome >= 1.9.2.23-1.6.1
  • mozilla-xulrunner192-translations >= 1.9.2.23-1.6.1
Builds
ZYPP Patch Nr: 7784
SUSE Linux Enterprise Desktop 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 for IBM zSeries 64bit
  • MozillaFirefox >= 3.6.23-0.5.1
  • MozillaFirefox-translations >= 3.6.23-0.5.1
  • mozilla-xulrunner192 >= 1.9.2.23-1.6.1
  • mozilla-xulrunner192-32bit >= 1.9.2.23-1.6.1
  • mozilla-xulrunner192-gnome >= 1.9.2.23-1.6.1
  • mozilla-xulrunner192-gnome-32bit >= 1.9.2.23-1.6.1
  • mozilla-xulrunner192-translations >= 1.9.2.23-1.6.1
  • mozilla-xulrunner192-translations-32bit >= 1.9.2.23-1.6.1
Builds
ZYPP Patch Nr: 7784
SLE SDK 10 SP4 for IBM iSeries and IBM pSeries
SLE SDK 10 SP4 for IBM zSeries
SLE SDK 10 SP4 for IPF
SLE SDK 10 SP4 for X86-64
SLE SDK 10 SP4 for x86
  • MozillaFirefox-branding-upstream >= 3.6.23-0.5.1
Builds
ZYPP Patch Nr: 7784
openSUSE 11.3
  • MozillaFirefox-debuginfo >= 3.6.23-0.2.1
  • MozillaFirefox-debugsource >= 3.6.23-0.2.1
  • mozilla-js192-debuginfo >= 1.9.2.23-1.2.1
  • mozilla-js192-debuginfo-32bit >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-debuginfo >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-debuginfo-32bit >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-debugsource >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-devel-debuginfo >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-gnome-debuginfo >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-gnome-debuginfo-32bit >= 1.9.2.23-1.2.1
openSUSE 11.3
  • MozillaFirefox >= 3.6.23-0.2.1
  • MozillaFirefox-branding-upstream >= 3.6.23-0.2.1
  • MozillaFirefox-translations-common >= 3.6.23-0.2.1
  • MozillaFirefox-translations-other >= 3.6.23-0.2.1
  • mozilla-js192 >= 1.9.2.23-1.2.1
  • mozilla-js192-32bit >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192 >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-32bit >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-buildsymbols >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-devel >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-gnome >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-gnome-32bit >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-translations-common >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-translations-common-32bit >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-translations-other >= 1.9.2.23-1.2.1
  • mozilla-xulrunner192-translations-other-32bit >= 1.9.2.23-1.2.1
openSUSE 11.3
  • seamonkey-debuginfo >= 2.4-1.2.1
  • seamonkey-debugsource >= 2.4-1.2.1
openSUSE 11.3
openSUSE 11.4
  • seamonkey >= 2.4-1.2.1
  • seamonkey-dom-inspector >= 2.4-1.2.1
  • seamonkey-irc >= 2.4-1.2.1
  • seamonkey-translations-common >= 2.4-1.2.1
  • seamonkey-translations-other >= 2.4-1.2.1
  • seamonkey-venkman >= 2.4-1.2.1

© 2014 Novell